设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1430|回复: 3

[你问我答] 如何同polyline实体一样,lwpolyline实体也可以使用NentSelP() 函数选择多段线的顶...

[复制链接]

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

发表于 2013-4-24 08:48:11 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

问:
如何同polyline实体一样,lwpolyline实体也可以使用NentSelP() 函数选择多段线的顶点?


回答:
AcDbPolyline 实体不在由分开的子实体构成,这就是为什么NentSelP()函数不能如愿的原因,对于lwpolyline,顶点信息直接存储在实体中,lwpolyline实体支持GS Markers (Graphic System Markers), 这意味着你可以通过ssget and ssnamex函数组合获得顶点信息。

下面代码演示了如何做。


游客,本帖隐藏的内容需要积分高于 100 才可浏览,您当前积分为 0


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2013-4-24 08:58:04 | 显示全部楼层
通常写法
[pcode=lisp,true](setq e          (entsel)
      p          (vlax-curve-getclosestpointto (car e) (cadr e))
      pam (vlax-curve-getparamatpoint (car e) p)
      p1  (setq pam1 (fix (vlax-curve-getpointatparam (car e) pam)))
      p2  (vlax-curve-getpointatparam (car e) (1+ pam1))
)[/pcode]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 145个

财富等级: 日进斗金

 楼主| 发表于 2013-4-24 09:13:11 | 显示全部楼层

上面那个是纯LISP的。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

点击这里给我发消息

已领礼包: 2688个

财富等级: 家财万贯

发表于 2013-4-24 10:16:45 | 显示全部楼层
楼主设置了隐藏,看不到,好在我已经会解决此问题:lol
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-8-11 21:28 , Processed in 0.143969 second(s), 39 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表